/* Questionnaire ***************************************************/

@document-type-bg:      #cad2b8;
@questionnaire-link-color:    #887662;

.QuestionnaireList .table.table-striped > caption + thead > tr:first-child > th,
.QuestionnaireList .table.table-striped > colgroup + thead > tr:first-child > th,
.QuestionnaireList .table.table-striped > thead:first-child > tr:first-child > th,
.QuestionnaireList .table.table-striped > caption + thead > tr:first-child > td,
.QuestionnaireList .table.table-striped > colgroup + thead > tr:first-child > td,
.QuestionnaireList .table.table-striped > thead:first-child > tr:first-child > td{
    background : @hzpc-dark-gray;
    border: 1px solid darken(@hzpc-dark-gray, 10%);
    text-align: left;
    font-family: "Source Sans Pro", "Trebuchet MS", sans-serif;
    font-size: 16px;
}

.QuestionnaireList .table.table-striped > tbody > tr:nth-child(odd) > td,
.QuestionnaireList .table.table-striped > tbody > tr:nth-child(odd) > th {
    background: @white;
    border: 1px solid darken(@hzpc-dark-gray, 10%);
}

.QuestionnaireList .table.table-striped > thead > tr > th,
.QuestionnaireList .table.table-striped > tbody > tr > th,
.QuestionnaireList .table.table-striped > tfoot > tr > th,
.QuestionnaireList .table.table-striped > thead > tr > td,
.QuestionnaireList .table.table-striped > tbody > tr > td,
.QuestionnaireList .table.table-striped > tfoot > tr > td{
    background: @bg-accent;
    border: 1px solid darken(@hzpc-dark-gray, 10%);
}

.QuestionnaireList .table.table-striped {
    font-family: "Source Sans Pro", "Trebuchet MS", sans-serif;
    font-size: 16px;
}

.QuestionnaireList .table.table-striped td span.icon{
    display: none;
}

.QuestionnaireList .table.table-striped td a{
    text-decoration: underline;
}

.questionnaire-editor-app .questionnaire-toolbar{
  position: absolute;
  top: -90px;
  right: 15px;
  margin: 0px;

  .print-button {
    display: inline-block;
    position: relative;
    float: right;
  }
  #questionnaire-filter-dropdown{
    margin-left: 0px;
  }
  .help-icon{
    display: none!important;
  }
}

.QuestionnaireElement {
  border: 1px solid #ddd;
  // bottom margin is moved to global QuestionnaireElement
  &:hover {
    border-color: @hzpc-border-accent;
  }
}

.questionnaire-editor {
  button.btn-link{
    color: @questionnaire-link-color;
  }

  h1, h2 {
    margin-top: 0px;
    color: darken(@hzpc-link-color, 10%);

    &:first-child {
        margin-top: 0px;
    }
  }

  .question-editor {
    margin-bottom: 0 !important;
    border: none !important;
  }

  .question-editor.answered{
    .document-type{
      background: @document-type-bg;
      a{
        color: @questionnaire-link-color;
      }
      button.btn-link{
        color: @questionnaire-link-color;
      }
    }
  }

  ul.questionnaire-outline-nav {
    li {
      margin: 0px!important;
      padding: 0px;

      a {
        color: @hzpc-link-color;
        font-size: 14px;
        border-radius: 0px;
        padding: 0px;

        p {
          margin: 0px;
        }
      }
    }
  }

  #questionnaire-outline-container {
    padding: 0px;
  }

  .question input, .question select {
    width: 90%;
  }

  .instructions {
    .separator {
      color: @link-color;
    }
    .text {
      border-left: 3px solid @mutedColor;
    }
  }

  .question-label-block {
    .agriform-label {
      color: @white;
      background: @color3;
    }
  }
}

.historical-attachment-box {
  @tableTitleBarColor: white;
  @tableTitleBarTextColor : black;

  .differentTable {
    td, thead>tr>th {
      border-color: @tableTitleBarColor !important;
    }
    thead>tr>th {
      background: @tableTitleBarColor;
      color: @tableTitleBarTextColor;
    }
  }
}
